Replace file share tags
curl --request PUT \
--url https://api.gcore.com/cloud/v1/file_shares/{project_id}/{region_id}/{file_share_id}/metadata \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.gcore.com/cloud/v1/file_shares/{project_id}/{region_id}/{file_share_id}/metadata"
payload = {}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.gcore.com/cloud/v1/file_shares/{project_id}/{region_id}/{file_share_id}/metadata', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
File Shares
Replace file share tags
deprecated
All existing metadata is deleted and replaced with the metadata from the request
Use PATCH /v1/file_shares/// instead
PUT
/
cloud
/
v1
/
file_shares
/
{project_id}
/
{region_id}
/
{file_share_id}
/
metadata
Replace file share tags
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234$abcdef
Path Parameters
Project ID
Example:
1
Region ID
Example:
1
File Share ID
Example:
"bd8c47ee-e565-4e26-8840-b537e6827b08"
Body
application/json
A tag is a key-value pair that can be associated with a resource, enabling efficient filtering and grouping for better organization and management. Some tags are read-only and cannot be modified by the user. Tags are also integrated with cost reports, allowing cost data to be filtered based on tag keys or values.
Response
204
No Content
Was this page helpful?
⌘I